Subject: Re: header files
From: Robert Collins <[email-masked]>
To: Max Magnaghi <[email-masked]>
Cc: [email-masked]
Date: 26 Sep 2001 08:01:43 +1000

On Wed, 2001-09-26 at 07:16, Max Magnaghi wrote:
> Hello.
> I've installed the latest version of cygwin, but I'm having trouble with 
> some header files. In particular, when I try to compile code that includes 
> "/usr/include/netinet/ip_icmp.h" or "/usr/include/netinet/ip.h", the 
> compiler complains that some declarations are not available. In fact, those 
> two files just consists of the inclusion of, respectively, the files 
> "/usr/include/cygwin/ip_icmp.h" and "/usr/include/cygwin/ip.h", which are 
> empty files.
> Do the non-empty header files that I need come with current cygwin 
> distribution? 

No.

> Where can I get them from?

You cannot. Header file content is system dependent and have to be
created. You can do so for cygwin if you choose - you will need to
contribute code to cygwin do do so.

Rob

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/